# How to Setup Golang GORM RESTful API Project with Postgres

This article will guide you on how you can set up a Golang project with the GORM library and PostgreSQL to build CRUD RESTful API to perform the basic Create/Get/Update/Delete operations

![How to Setup Golang GORM RESTful API Project with Postgres](https://codevoweb.com/wp-content/uploads/2022/08/How-to-Setup-Golang-GORM-RESTful-API-Project-with-Postgres.webp)

## Topics Covered

- What is an ORM?
- Setup the Golang Project
    - Initialize the Golang Project
    - Create a PostgreSQL Docker Container
    - Load and Validate the Environment Variables
    - Create a Utility Function to Connect to PostgreSQL
- Data Modeling and Migration with GORM
    - Creating the Database Model with GORM
    - Install the UUID OSSP Module for PostgreSQL
    - Migrating the Schema with GORM
- Create the Golang Server with Gin Gonic
- Testing the Golang API

Read the entire article here: [https://codevoweb.com/setup-golang-gorm-restful-api-project-with-postgres](https://codevoweb.com/setup-golang-gorm-restful-api-project-with-postgres)

Articles in this series:

### 1. How to Setup Golang GORM RESTful API Project with Postgres

[How to Setup Golang GORM RESTful API Project with Postgres](https://codevoweb.com/setup-golang-gorm-restful-api-project-with-postgres/)

### 2. API with Golang + GORM + PostgreSQL: Access & Refresh Tokens

[API with Golang + GORM + PostgreSQL: Access & Refresh Tokens](https://codevoweb.com/golang-gorm-postgresql-user-registration-with-refresh-tokens)

### 3. Golang and GORM - User Registration and Email Verification

[Golang and GORM - User Registration and Email Verification](https://codevoweb.com/golang-and-gorm-user-registration-email-verification)

### 4. Forgot/Reset Passwords in Golang with SMTP HTML Email

[Forgot/Reset Passwords in Golang with SMTP HTML Email](https://codevoweb.com/forgot-reset-passwords-in-golang-with-html-email)

### 5. Build a RESTful CRUD API with Golang

[Build a RESTful CRUD API with Golang](https://codevoweb.com/build-restful-crud-api-with-golang)
